/*
 * Copyright © 2012 Nokia Corporation. All rights reserved.
 * Nokia and Nokia Connecting People are registered trademarks of Nokia Corporation. 
 * Oracle and Java are trademarks or registered trademarks of Oracle and/or its
 * affiliates. Other product and company names mentioned herein may be trademarks
 * or trade names of their respective owners. 
 * See LICENSE.TXT for license information.
 */ 
package com.nokia.example.contenthandler.texthandler;

import javax.microedition.lcdui.StringItem;

/**
 * Purely a bean class, used to manage favourite choice list.
 *
 */
public class ChoiceBean {

    // Choice Key also used as a choice title
    private StringItem keyTitle;
    // Contains item URL
    private String choiceName;

    ChoiceBean(StringItem _keyTitle, String _choiceName) {
        keyTitle = _keyTitle;
        choiceName = _choiceName;
    }

    public StringItem getKeyTitle() {
        return keyTitle;
    }

    public void setKeyTitle(StringItem keyTitle) {
        this.keyTitle = keyTitle;
    }

    public String getChoiceName() {
        return choiceName;
    }

    public void setChoiceName(String choiceName) {
        this.choiceName = choiceName;
    }
}
